X Color Management DDC/CI communication API's(3)

NAME
X Color Management DDC/CI communication API's -

  Enumerations
enum XCM_DDC_ERROR_e { XCM_DDC_OK, XCM_DDC_NO_FILE, XCM_DDC_PREPARE_FAIL, XCM_DDC_EDID_READ_FAIL, XCM_DDC_WRONG_EDID }
errors specific to XcmDDC

  Functions
XCM_DDC_ERROR_e XcmDDClist (char ***list, int *count)
obtain all monitors i2c device names
XCM_DDC_ERROR_e XcmDDCgetEDID (const char *device_name, char **data, size_t *size)
obtain all monitors i2c device names
const char * XcmDDCErrorToString (XCM_DDC_ERROR_e error)
convert enum into a meaningful text string

Detailed Description

The purpose of the API is to establish client side communication with a monitor device. This can be used to update EEDID data and get MCCS properties. The former is supported by this library.

XcmDDClist() returns a list of monitor i2c device names. XcmDDCgetEDID() can be used to fetch EEDID from a device name.

XcmDDC.h

Xcm Xorg Colour Management

DDC communication with monitor devices

Copyright:
    2010 (C) Kai-Uwe Behrmann

Author:
    Kai-Uwe Behrmann ku.b@gmx.de

License:
    MIT http://www.opensource.org/licenses/mit-license.php

Since:
    2010/12/28

Enumeration Type Documentation

  enum XCM_DDC_ERROR_e

errors specific to XcmDDC

Version:
    libXcm: 0.4.0

Since:
    2010/12/28 (libXcm: 0.4.0)

Date:
    2010/12/28

Enumerator

XCM_DDC_OK
    success

XCM_DDC_NO_FILE
    fopen failed, permissions?

XCM_DDC_PREPARE_FAIL
    setting EEDID adress failed

XCM_DDC_EDID_READ_FAIL
    could not obtain EEDID

XCM_DDC_WRONG_EDID
    wrong EDID header

Function Documentation

  const char * XcmDDCErrorToString (XCM_DDC_ERROR_eerror)

convert enum into a meaningful text string Function XcmDDCErrorToString

Parameters:
    error the error

Returns:
    library owned error text string

Version:
    libXcm: 0.4.0

Since:
    2010/12/28 (libXcm: 0.4.0)

Date:
    2010/12/28

References XCM_DDC_EDID_READ_FAIL, XCM_DDC_NO_FILE, XCM_DDC_OK, XCM_DDC_PREPARE_FAIL, and XCM_DDC_WRONG_EDID.

  XCM_DDC_ERROR_e XcmDDCgetEDID (const char *device_name, char **data, size_t *size)

obtain all monitors i2c device names Function XcmDDCgetEDID

Parameters:
    device_name system specific device name
    data empty pointer to EDID data, will be mallocd for the user
    size size of memory in data

Returns:
    error code

Version:
    libXcm: 0.4.0

Since:
    2010/12/28 (libXcm: 0.4,0)

Date:
    2010/12/28

References XCM_DDC_NO_FILE, XCM_DDC_OK, XCM_DDC_PREPARE_FAIL, and XCM_DDC_WRONG_EDID.

Referenced by XcmDDClist().

  XCM_DDC_ERROR_e XcmDDClist (char ***list, int *count)

obtain all monitors i2c device names Function XcmDDClist

Parameters:
    list empty pointer to a list of device names
    count pass in a pointer to a int. gives the number of elements in list

Returns:
    error code

Version:
    libXcm: 0.4.0

Since:
    2010/12/28 (libXcm: 0.4.0)

Date:
    2010/12/28

References XCM_DDC_NO_FILE, XCM_DDC_OK, and XcmDDCgetEDID().

Author

Generated automatically by Doxygen for Xcm-0.5.4 from the source code.